String ${name1} = "${string1}";*
int ${name1} = ${number1};*
float ${name1} = ${number1};*
double ${name1} = ${number1};*
long ${name1} = ${number1};

@code
${name1}.contains("${string1}${string1}")*
${name1} > ${number1}*
${name1} < ${number1}*
${name1} == ${number1} + ${number1}*
${name1} <= ${number1} - ${number1}

@code
android.util.Log.d("${name1}","${name2}");
@---sep---
android.util.Log.e("${name1}","${name2}");
@---sep---
android.util.Log.i("${name1}","${name2}");
@---sep---
android.util.Log.v("${name1}","${name2}");
@---sep---
${vars}
while(${condition}){
    System.out.println(${name1} + "${string2}" + "${string3}" + "${string4}" + "${string5}");
}
@---sep---
${vars}
for(int ${name2} = 0; ${condition}; ${name2}++ ){
    ${name3} = ${name2} + ${name1};
    System.out.println(${name3} + "${string2}" + "${string3}" );
}
@---sep---
${vars}
if(${condition}){
    System.out.println(${name1} + "${string2}" + "${string3}" + "${string4}" );
}
@---sep---
${vars}
boolean ${name2} = ${condition};
if(${name1}){
    System.out.println(${name1} + "${string2}");
}
@---sep---
String ${name1} = "${string1}";
System.out.println(${name1}+"${string2}");
@---sep---
float ${name1} = ${number1};
while((int)${name1} < (${name1} - 1)){
    System.out.println("${string1}");
}
@---sep---
if(android.text.TextUtils.isEmpty(android.os.Build.BOARD)){
    System.out.println("${string1}");
}
@---sep---
if(android.os.Build.DEVICE.equals("${string1}")){
    System.out.println("${string2}");
}